Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006344OCamlOCaml backend (code generation)public2014-03-07 15:532015-04-22 20:02
Assigned Togildor 
Platformraspberry piOSOS Version
Product Version4.02.0+dev 
Target VersionFixed in Version 
Summary0006344: asmcomp/arch.cmi and asmcomp/mach.cmi make inconsistent assumptions over interface Arch on RPi only

I got the following error 3 time in a row. I checked for deletion of file in recent commit but found nothing:

boot/ocamlrun ./ocamlopt -nostdlib -I stdlib -I otherlibs/dynlink -strict-sequence -w +33..39 -warn-error A -I utils -I parsing -I typing -I bytecomp -I asmcomp -I driver -I toplevel -c asmcomp/
File "asmcomp/", line 1:
Error: The files asmcomp/arch.cmi and asmcomp/mach.cmi
       make inconsistent assumptions over interface Arch
Steps To Reproduce [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
maranget (manager)
2014-03-21 18:15

I ran accross the same issue on ARM 32bits.
I solved it by bootstraping the compiler (make bootstrap)

gildor (developer)
2014-03-25 02:45

Fixed as a side effect of r14479.
doligez (administrator)
2015-04-22 20:02

FTR, this bug has appeared again (on the CI machines).

It is a combination of two things:

1. asmcomp/ doesn't have a corresponding .mli file
2. ocamlc and ocamlopt produce .cmi files with different digests when compiling this file

This is because ocamlc (which is the bootstrap byte-code executable from the svn repo) is lagging behind ocamlopt (freshly compiled from the latest sources).
Hence bootstrapping solves the problem.

- Issue History
Date Modified Username Field Change
2014-03-07 15:53 gildor New Issue
2014-03-21 18:15 maranget Note Added: 0011079
2014-03-25 02:45 gildor Note Added: 0011091
2014-03-25 02:45 gildor Status new => resolved
2014-03-25 02:45 gildor Resolution open => fixed
2014-03-25 02:45 gildor Assigned To => gildor
2015-04-22 20:02 doligez Note Added: 0013706

Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker